unit fMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Jpeg, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  end;

  function BMPtoJPE(aBMP: TBitmap): TJPEGImage; external 'Test068Dll.DLL';

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
const
  src = 'D:\TEST.BMP';
  dest = 'D:\TEST.JPG';
var
  Success: Boolean;
  b: TBitmap;
  j: TJPEGImage;
begin
  Success := False;
  if FileExists(src) then
  begin
    b := TBitmap.Create;
    try
      b.LoadFromFile(src);
      j := BMPtoJPE(b);
      try
        j.SaveToFile(dest);
      finally
        FreeAndNil(j);
      end;
    finally
      FreeAndNil(b);
    end;
    Success := True;
  end;

  if Success then ShowMessage('SUCCESS !!!');

end;

end.
